//LM35 Pin Variables
int sensorPin = 0;                                  //the analog pin the TMP36's Vout (sense) pin is connected to
                                                    //the resolution is 10 mV / degree centigrade with a
                                                    //500 mV offset to allow for negative temperatures
const int fanPin = 2;                               //Pin that fan is attached to
 
void setup()
{
  pinMode(fanPin, OUTPUT);                          //initialise fanPin as an output
  Serial.begin(9600);  
  delay(2000);
}
 
void loop()                   
{
 delay(500);                                        //Measurement interval                                      
 int reading = analogRead(sensorPin);  
 
 float voltage = reading * 5;
 voltage /= 1024.0; 
 
 Serial.print(voltage); Serial.println(" volts");
 
 float temperatureC = (voltage - 0.1) * 10 ;        //adjust for calibration
 Serial.print(temperatureC); Serial.println(" degrees Celcius");
 
if(temperatureC >= 30){
  digitalWrite(fanPin, HIGH);
 }

 if(temperatureC <= 28){
  digitalWrite(fanPin, LOW);
 }
}
